export const colors = { ts: `<template>
  <div class="demo-space-x">
    <VAvatar color="primary">
      <span>PI</span>
    </VAvatar>

    <VAvatar color="secondary">
      <span class="text-white">SE</span>
    </VAvatar>

    <VAvatar color="success">
      <span>SU</span>
    </VAvatar>

    <VAvatar color="info">
      <span>IN</span>
    </VAvatar>

    <VAvatar color="warning">
      <span>WA</span>
    </VAvatar>

    <VAvatar color="error">
      <span>ER</span>
    </VAvatar>
  </div>
</template>
`, js: `<template>
  <div class="demo-space-x">
    <VAvatar color="primary">
      <span>PI</span>
    </VAvatar>

    <VAvatar color="secondary">
      <span class="text-white">SE</span>
    </VAvatar>

    <VAvatar color="success">
      <span>SU</span>
    </VAvatar>

    <VAvatar color="info">
      <span>IN</span>
    </VAvatar>

    <VAvatar color="warning">
      <span>WA</span>
    </VAvatar>

    <VAvatar color="error">
      <span>ER</span>
    </VAvatar>
  </div>
</template>
` }

export const group = { ts: `<script setup lang="ts">
import avatar1 from '@images/avatars/avatar-1.png'
import avatar2 from '@images/avatars/avatar-2.png'
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
import avatar6 from '@images/avatars/avatar-6.png'
</script>

<template>
  <div class="v-avatar-group">
    <VAvatar size="large">
      <VImg :src="avatar1" />
      <VTooltip
        activator="parent"
        location="start"
      >
        John Doe
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar2" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Jennie Obrien
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar3" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Peter Harper
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar4" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Vivian Padilla
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar5" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Scott Wells
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar6" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Angel Bishop
      </VTooltip>
    </VAvatar>
  </div>
</template>
`, js: `<script setup>
import avatar1 from '@images/avatars/avatar-1.png'
import avatar2 from '@images/avatars/avatar-2.png'
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
import avatar6 from '@images/avatars/avatar-6.png'
</script>

<template>
  <div class="v-avatar-group">
    <VAvatar size="large">
      <VImg :src="avatar1" />
      <VTooltip
        activator="parent"
        location="start"
      >
        John Doe
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar2" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Jennie Obrien
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar3" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Peter Harper
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar4" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Vivian Padilla
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar5" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Scott Wells
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar6" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Angel Bishop
      </VTooltip>
    </VAvatar>
  </div>
</template>
` }

export const groupCount = { ts: `<script setup lang="ts">
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
</script>

<template>
  <div class="v-avatar-group">
    <VAvatar size="large">
      <VImg :src="avatar3" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Peter Harper
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar4" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Vivian Padilla
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar5" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Scott Wells
      </VTooltip>
    </VAvatar>

    <VAvatar
      color="grey-200"
      size="large"
    >
      <span class="text-secondary"> +3</span>
      <VTooltip
        activator="parent"
        location="top"
      >
        3 and more
      </VTooltip>
    </VAvatar>
  </div>
</template>
`, js: `<script setup>
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
</script>

<template>
  <div class="v-avatar-group">
    <VAvatar size="large">
      <VImg :src="avatar3" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Peter Harper
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar4" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Vivian Padilla
      </VTooltip>
    </VAvatar>

    <VAvatar size="large">
      <VImg :src="avatar5" />
      <VTooltip
        activator="parent"
        location="start"
      >
        Scott Wells
      </VTooltip>
    </VAvatar>

    <VAvatar
      color="grey-200"
      size="large"
    >
      <span class="text-secondary"> +3</span>
      <VTooltip
        activator="parent"
        location="top"
      >
        3 and more
      </VTooltip>
    </VAvatar>
  </div>
</template>
` }

export const icons = { ts: `<template>
  <div class="demo-space-x">
    <VAvatar color="primary">
      <VIcon
        size="22"
        icon="mdi-home-outline"
      />
    </VAvatar>

    <VAvatar color="secondary">
      <VIcon
        color="white"
        size="22"
        icon="mdi-cloud-outline"
      />
    </VAvatar>

    <VAvatar color="success">
      <VIcon
        size="22"
        icon="mdi-bell-outline"
      />
    </VAvatar>

    <VAvatar color="info">
      <VIcon
        size="22"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar color="warning">
      <VIcon
        size="22"
        icon="mdi-alert-outline"
      />
    </VAvatar>

    <VAvatar color="error">
      <VIcon
        size="22"
        icon="mdi-message-outline"
      />
    </VAvatar>
  </div>
</template>
`, js: `<template>
  <div class="demo-space-x">
    <VAvatar color="primary">
      <VIcon
        size="22"
        icon="mdi-home-outline"
      />
    </VAvatar>

    <VAvatar color="secondary">
      <VIcon
        color="white"
        size="22"
        icon="mdi-cloud-outline"
      />
    </VAvatar>

    <VAvatar color="success">
      <VIcon
        size="22"
        icon="mdi-bell-outline"
      />
    </VAvatar>

    <VAvatar color="info">
      <VIcon
        size="22"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar color="warning">
      <VIcon
        size="22"
        icon="mdi-alert-outline"
      />
    </VAvatar>

    <VAvatar color="error">
      <VIcon
        size="22"
        icon="mdi-message-outline"
      />
    </VAvatar>
  </div>
</template>
` }

export const images = { ts: `<script setup lang="ts">
import avatar1 from '@images/avatars/avatar-1.png'
import avatar2 from '@images/avatars/avatar-2.png'
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
import avatar6 from '@images/avatars/avatar-6.png'
</script>

<template>
  <div class="demo-space-x">
    <VAvatar>
      <VImg :src="avatar1" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar2" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar3" />
    </VAvatar>
    <VAvatar>
      <VImg :src="avatar4" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar5" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar6" />
    </VAvatar>
  </div>
</template>
`, js: `<script setup>
import avatar1 from '@images/avatars/avatar-1.png'
import avatar2 from '@images/avatars/avatar-2.png'
import avatar3 from '@images/avatars/avatar-3.png'
import avatar4 from '@images/avatars/avatar-4.png'
import avatar5 from '@images/avatars/avatar-5.png'
import avatar6 from '@images/avatars/avatar-6.png'
</script>

<template>
  <div class="demo-space-x">
    <VAvatar>
      <VImg :src="avatar1" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar2" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar3" />
    </VAvatar>
    <VAvatar>
      <VImg :src="avatar4" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar5" />
    </VAvatar>

    <VAvatar>
      <VImg :src="avatar6" />
    </VAvatar>
  </div>
</template>
` }

export const rounded = { ts: `<template>
  <div class="demo-space-x">
    <VAvatar
      rounded="0"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="sm"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="lg"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="xl"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar color="secondary">
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>
  </div>
</template>
`, js: `<template>
  <div class="demo-space-x">
    <VAvatar
      rounded="0"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="sm"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="lg"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar
      rounded="xl"
      color="secondary"
    >
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>

    <VAvatar color="secondary">
      <VIcon
        color="white"
        size="25"
        icon="mdi-account-outline"
      />
    </VAvatar>
  </div>
</template>
` }

export const sizes = { ts: `<template>
  <div class="demo-space-x">
    <VAvatar
      color="primary"
      size="x-small"
    >
      PI
    </VAvatar>

    <VAvatar
      color="secondary"
      size="small"
    >
      PI
    </VAvatar>

    <VAvatar color="success">
      PI
    </VAvatar>

    <VAvatar
      color="info"
      size="large"
    >
      PI
    </VAvatar>

    <VAvatar
      color="error"
      size="x-large"
    >
      PI
    </VAvatar>
  </div>
</template>
`, js: `<template>
  <div class="demo-space-x">
    <VAvatar
      color="primary"
      size="x-small"
    >
      PI
    </VAvatar>

    <VAvatar
      color="secondary"
      size="small"
    >
      PI
    </VAvatar>

    <VAvatar color="success">
      PI
    </VAvatar>

    <VAvatar
      color="info"
      size="large"
    >
      PI
    </VAvatar>

    <VAvatar
      color="error"
      size="x-large"
    >
      PI
    </VAvatar>
  </div>
</template>
` }

export const tonal = { ts: `<template>
  <div class="demo-space-x">
    <VAvatar
      color="primary"
      variant="tonal"
    >
      <span>PI</span>
    </VAvatar>
    <VAvatar
      color="secondary"
      variant="tonal"
    >
      <span>SE</span>
    </VAvatar>
    <VAvatar
      color="success"
      variant="tonal"
    >
      <span>SU</span>
    </VAvatar>
    <VAvatar
      color="info"
      variant="tonal"
    >
      <span>IN</span>
    </VAvatar>
    <VAvatar
      color="warning"
      variant="tonal"
    >
      <span>WA</span>
    </VAvatar>
    <VAvatar
      color="error"
      variant="tonal"
    >
      <span>ER</span>
    </VAvatar>
  </div>
</template>
`, js: `<template>
  <div class="demo-space-x">
    <VAvatar
      color="primary"
      variant="tonal"
    >
      <span>PI</span>
    </VAvatar>
    <VAvatar
      color="secondary"
      variant="tonal"
    >
      <span>SE</span>
    </VAvatar>
    <VAvatar
      color="success"
      variant="tonal"
    >
      <span>SU</span>
    </VAvatar>
    <VAvatar
      color="info"
      variant="tonal"
    >
      <span>IN</span>
    </VAvatar>
    <VAvatar
      color="warning"
      variant="tonal"
    >
      <span>WA</span>
    </VAvatar>
    <VAvatar
      color="error"
      variant="tonal"
    >
      <span>ER</span>
    </VAvatar>
  </div>
</template>
` }

